For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
        • GETList Policies
        • POSTCreate Policy
        • GETGet Policy
        • PUTUpdate Policy
        • DELDelete Policy
Logo
Log inBook a demo
API ReferencePermissionsPolicies

List Policies

GET
https://app.polytomic.com/api/permissions/policies
GET
/api/permissions/policies
$curl https://app.polytomic.com/api/permissions/policies \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
5 "name": "Policy",
6 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "policy_actions": [
8 {
9 "action": "read",
10 "role_ids": [
11 "248df4b7-aa70-47b8-a036-33ac447e668d"
12 ]
13 }
14 ],
15 "system": false
16 }
17 ]
18}

Lists all policies in the caller’s organization.

Each policy binds one or more roles to a set of resources, controlling what actions members with those roles can perform on those resources.

To inspect a specific policy in detail, use GET /api/permissions/policies/{id}.

Was this page helpful?
Previous

Create Policy

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects or null

Errors

500
Internal Server Error